local _, L   = ...
local locale = GetLocale()

local function badString (L, key)
	return "BAD TEXT \"".. (key or "NIL") .. "\""
end

setmetatable (L, {__index=badString})

-- ENGLISH DEFAULTS

L["ON"]		= "on"
L["OFF"]	= "off"
L["DAY"]	= "day"
L["DAYS"]	= "days"
L["EXP_NVR"]	= "Never"
L["EXP_TDY"]	= "Today"
L["LIST_1"]	= "Characters on ignore for %d or more days:"
L["LIST_2"]	= "All ignored NPC characters:"
L["LIST_3"]	= "All ignored players on server %s:"
L["LIST_4"]	= "All characters on global ignore:"
L["LIST_5"]	= "Listed %d character(s)"
L["SYNC_1"]	= "Removing %s from character's ignore list"
L["SYNC_2"]	= "Adding %s to character's ignore list"
L["LOAD_1"]	= "Type /gignore or /gi for help and options"
L["LOAD_2"]	= "New character found: Importing ignored players"
L["LOAD_3"]	= "Adding %s to global ignore list"
L["LOAD_4"]	= "NOTE: Ignore list has reached its limit of %d, however, GIL will still filter ignored players"
L["RCM_1"]	= "Edit note"
L["RCM_2"]	= "Set Expiration"
L["RCM_3"]	= "Reset Expiration"
L["RCM_4"]	= "Remove from Ignore"
L["RCM_5"]	= "Cancel"
L["OVER_1"]	= "Realm:"
L["OVER_2"]	= "Faction:"
L["OVER_3"]	= "Ignored:"
L["OVER_4"]	= "Expires:"
L["OVER_5"]	= "After %d day(s) (%d day(s) from today)"
L["ADD_1"]	= "%s is already ignored"
L["ADD_2"]	= "%s added to global ignore"
L["ADD_3"]	= "You cannot ignore yourself, silly!"
L["REM_1"]	= "%s removed from global ignore"
L["BOX_1"]	= "Remove after how many days on the list?\n(Use 0 to disable expiration)"
L["CMD_1"]	= "WARNING: You will remove all ignores on all characters on all servers. Type \"/gi clear confirm\" to clear the list"
L["CMD_2"]	= "Database cleared"
L["CMD_3"]	= "Newly ignored players will now be automatically removed after |cffffff00%d|cffffffff %s.  Existing ignored players will be unaffected.  If you want to disable auto expire, set this value to zero (0)."
L["CMD_4"]	= "Asking for ignore note when a player is ignored is now |cffffff00on"
L["CMD_5"]	= "Asking for ignore note when a player is ignored is now |cffffff00off"
L["CMD_6"]	= "Synchronization messages are now |cffffff00on"
L["CMD_7"]	= "Synchronization messages are now |cffffff00off"
L["CMD_8"]	= "Chat filtering |cffffff00on"
L["CMD_9"]	= "Chat filtering |cffffff00off"
L["CMD_10"]	= "Only sync same server characters is now |cffffff00on"
L["CMD_11"]	= "Only sync same server characters is now |cffffff00off"
L["CMD_12"]	= "|cffffff00%s|cffffffff has been removed from NPC ignore list"
L["CMD_13"]	= "|cffffff00%s|cffffffff has been added to NPC ignore list"
L["CMD_14"]	= "%s will be automatically removed after %d days."
L["CMD_15"]	= "Invalid command please double check what you've typed"
L["CMD_16"]	= "Remove players that have been ignored for |cffffff00%d|cffffffff or more days"
L["CMD_17"]	= "Type |cffffff00/gi prune confirm|cffffffff to prune |cffffff00%d|cffffffff players"
L["HELP_1"]	= "|cffff99ffTYPE: |cffffffff/gi [command], where [command] is one of:"
L["HELP_2"]	= "|cffffff00list|cffffffff: List all players on global ignore list"
L["HELP_3"]	= "|cffffff00clear|cffffffff: Clear all names from global ignore list"
L["HELP_4"]	= "|cffffff00add player|cffffffff: Add [player] to ignore list"
L["HELP_5"]	= "|cffffff00remove player|cffffffff: Remove [player] from ignore list"
L["HELP_6"]	= "|cffffff00expire player days|cffffffff: Remove [player] from list after [days]"
L["HELP_7"]	= "|cffffff00prune days|cffffffff: Remove those on list for [days] or more days"
L["HELP_8"]	= "|cffffff00npc npcname|cffffffff: Add or remove an NPC character ignore"
L["HELP_9"]	= "|cffffff00filter on|off|cffffffff: Perform extra chat filtering (%s)"
L["HELP_10"]	= "|cffffff00showmsg on|off|cffffffff: Show actions during synchronization (%s)"
L["HELP_11"]	= "|cffffff00server on|off|cffffffff: Sync same-server characters only (%s)"
L["HELP_12"]	= "|cffffff00defexpire days|cffffffff: Newly ignored players auto expire after (|cffffff00%d|cffffffff) days"
L["HELP_13"]	= "|cffffff00asknote on|off|cffffffff: Ask for ignore note on ignore (%s)"
L["HELP_14"]	= "|cffff99ffNOTE: |cffffffffUse /ignore, and UI as usual to add/remove players!"

-- portuguese

if locale == "ptBR" then
end

-- french

if locale == "frFR" then
end

-- russian

if locale == "ruRU" then
end

-- spanish

if locale == "esES" then
end

-- chinese

if locale == "zhCN" then
end

-- korean

if locale == "koKR" then
end

-- italian

if locale == "itIT" then
end
